Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.particle.custom
Class Explosion

    java.lang.Object
      de.rico.engine.effect.particle.AbstractParticleEffect
          de.rico.engine.effect.particle.custom.Explosion

    public class Explosion

extends AbstractParticleEffect

This class represents an explosion particle effect

Author:
  Frank Bruns

Constructor Summary
`Explosion(float x, float y, float z, float size, int numberOfParticles, long maxPartAge, boolean loop)` Creates an explosion effect with the specified parameters

Method Summary
`boolean` | `isLooping()` Determines whether or not the explosion is set to loop.

Methods inherited from class de.rico.engine.effect.particle.AbstractParticleEffect
`draw, getCreationInterval, getMaxPartAge, getMaxParticleCount, getParticleSize, getPosition, getTexturePath, setEnabled, setPosition, setPosition, setTexture, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Explosion

    public Explosion(float x,
                     float y,
                     float z,
                     float size,
                     int numberOfParticles,
                     long maxPartAge,
                     boolean loop)

  Creates an explosion effect with the specified parameters

  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `z` - z-coordinate
    `size` - particle size
    `numberOfParticles` - maximum number of particles to use
    `maxPartAge` - maximum particle age (in miliseconds)
    `loop` - loop the effect? --> true=yes, false=no

Method Detail

### isLooping

    public boolean isLooping()

  Determines whether or not the explosion is set to loop.

  Returns:
    loop explosion? --> true=yes, false=no

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD